Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Per Makro Part in Assembly einfügen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Per Makro Part in Assembly einfügen (438 mal gelesen)
caeman
Mitglied



Sehen Sie sich das Profil von caeman an!   Senden Sie eine Private Message an caeman  Schreiben Sie einen Gästebucheintrag für caeman

Beiträge: 58
Registriert: 30.05.2001

Windows 7 64bit Solid Edge ST9 MP7

erstellt am: 23. Jun. 2017 16:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

wir fügen per Makro (VB6) verschiedene Parts in ein geöffnetes Assembly ein.
Das Part liegt dann bei 0,0,0 und muss dann über die gewohnten Befehle korrekt plaziert werden.

Ich möchte gerne das Makro so erweitern das das Part an der Maus hängen bleibt und ich dann die gewohnten Einfügebefehle von Solid Edge verwenden kann.

Hat da jemand ein Beispiel ?

Viele Grüße
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Karsten09
Mitglied
SE-Rookie


Sehen Sie sich das Profil von Karsten09 an!   Senden Sie eine Private Message an Karsten09  Schreiben Sie einen Gästebucheintrag für Karsten09

Beiträge: 238
Registriert: 17.06.2009

Win 7 Pro; Intel Xeon W3530; 12 GB RAM; NVIDIA Quadro 4000; SpaceExplorer
Solid Edge ST7 MP10

erstellt am: 23. Jun. 2017 17:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für caeman 10 Unities + Antwort hilfreich

Wie wählst du die Teilflächen für die Platzierung aus, wenn das Bauteil an der Maus hängt?

------------------
"Das beste Werkzeug ist ein Tand, in eines tumben Toren Hand!"
Daniel Düsentrieb zitiert Konfuzius Peng (Fataler Rechenfehler, 1957)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wolha
Ehrenmitglied V.I.P. h.c.
CAD - Consultant


Sehen Sie sich das Profil von wolha an!   Senden Sie eine Private Message an wolha  Schreiben Sie einen Gästebucheintrag für wolha

Beiträge: 3670
Registriert: 30.01.2002

ST9 win10 64bit
CAMWorks
Primus PDM
FEMAP
Dynamic Designer

erstellt am: 23. Jun. 2017 19:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für caeman 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von caeman:
Hallo zusammen,

wir fügen per Makro (VB6) verschiedene Parts in ein geöffnetes Assembly ein.
Das Part liegt dann bei 0,0,0 und muss dann über die gewohnten Befehle korrekt plaziert werden.

Ich möchte gerne das Makro so erweitern das das Part an der Maus hängen bleibt und ich dann die gewohnten Einfügebefehle von Solid Edge verwenden kann.

Hat da jemand ein Beispiel ?

Viele Grüße
Ralf


Hallo,


habe in einem uralten Makro vo mir nachgesehen und damals die Teile in die Baugruppe mit dem Befehl:


...
objApp.StartCommand seAssemblyPlacePartCommand
...

eingefügt.
das sollte das normale Einfügen eines Teiles in eine Baugruppe ergeben.

------------------
mfg

Wolfgang Hackl
CAD/CAM - Consult

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

caeman
Mitglied



Sehen Sie sich das Profil von caeman an!   Senden Sie eine Private Message an caeman  Schreiben Sie einen Gästebucheintrag für caeman

Beiträge: 58
Registriert: 30.05.2001

Windows 7 64bit Solid Edge ST9 MP7

erstellt am: 06. Jul. 2017 16:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Habe mich schlecht ausgedrückt. Teil hängt natürlich nicht an der Maus.
Ich wollte per Makro einfügen aber dann soll es so weitergehen wie wenn man es per Drag&Drop aus der Teilebibliothek zieht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

caeman
Mitglied



Sehen Sie sich das Profil von caeman an!   Senden Sie eine Private Message an caeman  Schreiben Sie einen Gästebucheintrag für caeman

Beiträge: 58
Registriert: 30.05.2001

Windows 7 64bit Solid Edge ST9 MP7

erstellt am: 06. Jul. 2017 16:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo wolha,

danke für den Hinweis.

Habe es so:
  objSEapp.StartCommand (seAssemblyPlacePartCommand)
  Set objPARdoc = objSEapp.ActiveDocument.Parts.AddByFilename(cFileName)

und auch so versucht:
  Set objPARdoc = objSEapp.ActiveDocument.Parts.AddByFilename(cFileName)
  objSEapp.StartCommand (seAssemblyPlacePartCommand)

Es kommt aber beim Aufruf von
  objSEapp.StartCommand (seAssemblyPlacePartCommand)

immer die Meldung: Verwenden Sie die Registerkarte Teilebibliothek in EdgeBar, um Teile zur Baugruppe hinzuzufügen. Aktivieren Sie EdgeBar im Menü Extras oder in der Hauptsymbolleiste.

Viele Grüße
Ralf Fischer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pablo
Mitglied
Techniker


Sehen Sie sich das Profil von pablo an!   Senden Sie eine Private Message an pablo  Schreiben Sie einen Gästebucheintrag für pablo

Beiträge: 420
Registriert: 23.01.2002

Win7
Office 2010
ST6 64bit

erstellt am: 10. Jul. 2017 22:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für caeman 10 Unities + Antwort hilfreich

caeman,

du kannst den Dateinamen nicht direkt übergeben.
Versuche es mit
Private WithEvents FUIE As SolidEdgeFramework.FileUIEvents

und
Public Function AddOccurrenceByFileName(sName As String) As Boolean

  On Error GoTo ErrorHandler
 
  msFileName = sName
  Set FUIE = moSEApp.FileUIEvents
  SEApp.StartCommand seAssemblyPlacePartCommand
  Set FUIE = Nothing
 
AddOccurrenceByFileName = True
Exit Function
ErrorHandler:
  Set FUIE = Nothing
  Err.Clear
End Function

Wenn Du AddOccurrenceByFileName aufrufst kannst Du im Event
Private Sub FUIE_OnPlacePartUI(FileName As String, AppendToTitle As String)
  FileName = msFileName
End Sub

den Dateinamen übergeben.

HTH pablo

------------------
PST => Parametersteuerung für Solid Edge
TB Haberl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

caeman
Mitglied



Sehen Sie sich das Profil von caeman an!   Senden Sie eine Private Message an caeman  Schreiben Sie einen Gästebucheintrag für caeman

Beiträge: 58
Registriert: 30.05.2001

Windows 7 64bit Solid Edge ST9 MP7

erstellt am: 11. Jul. 2017 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo pablo,

funktioniert ! Vielen Dank.

Aber nun habe ich ein Fass aufgemacht. Die Anwender wollen jetzt auch noch Teile einfügen z.B Gasdruckfedern mit entsprechend ausgefahrenem Kolben und natürlich "Teil ersetzen".

Gibt es da auch eine Lösung ?

Gruß
Ralf Fischer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pablo
Mitglied
Techniker


Sehen Sie sich das Profil von pablo an!   Senden Sie eine Private Message an pablo  Schreiben Sie einen Gästebucheintrag für pablo

Beiträge: 420
Registriert: 23.01.2002

Win7
Office 2010
ST6 64bit

erstellt am: 11. Jul. 2017 18:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für caeman 10 Unities + Antwort hilfreich

Hallo Ralf,

'Teil ersetzen' funktioniert auf oberster Ebene z.B. so:
- Überprüfen ob die Auswahl ein Element vom Typ Occurrence ist
- Mit Occurrence.Replace (FileName) ersetzen.
Teile auf unterer Ebene sind vom Typ Reference, da wird es dann aufwändiger.

Was meinst Du mit z.B Gasdruckfedern mit entsprechend ausgefahrenem Kolben?
Wenn Ihr mit Baugruppenfamilien arbeitet dann geht das mit Occurrence.SwapFamilyMember.


HTH Pablo

------------------
PST => Parametersteuerung für Solid Edge
TB Haberl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

caeman
Mitglied



Sehen Sie sich das Profil von caeman an!   Senden Sie eine Private Message an caeman  Schreiben Sie einen Gästebucheintrag für caeman

Beiträge: 58
Registriert: 30.05.2001

Windows 7 64bit Solid Edge ST9 MP7

erstellt am: 17. Jul. 2017 11:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Pablo,

damit ist gemeint "Anpassbares Teil plazieren".
Die Konstrukteure setzen damit z.B. eine Gasdruckfeder zwischen Werkzeugoberteil und Werkzeugunterteil.
Beim Platzieren stellt sich der Kolben der Gasdruckfeder gleich auf die richtige Länge ein.
Wird der Abstand von Oberteil und Unterteil verändert dann geht der Kolben mit.

Gruß Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de